/*
 *  * Copyright (c) 2004 Xilinx, Inc.  All rights reserved.
 *
 * Xilinx, Inc.
 * XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS" AS A 
 * COURTESY TO YOU.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION AS
 * ONE POSSIBLE   IMPLEMENTATION OF THIS FEATURE, APPLICATION OR 
 * STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS IMPLEMENTATION 
 * IS FREE FROM ANY CLAIMS OF INFRINGEMENT, AND YOU ARE RESPONSIBLE 
 * FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE FOR YOUR IMPLEMENTATION
 * XILINX EXPRESSLY DISCLAIMS ANY WARRANTY WHATSOEVER WITH RESPECT TO 
 * THE ADEQUACY OF THE IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO 
 * ANY WARRANTIES OR REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE 
 * FROM CLAIMS OF INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY 
 * AND FITNESS FOR A PARTICULAR PURPOSE.
 */

/*
 * Xilinx EDK 7.1 EDK_H.10.2
 *
 * This file is a sample test application
 *
 * This application is intended to test and/or illustrate some 
 * functionality of your system.  The contents of this file may
 * vary depending on the IP in your system and may use existing
 * IP driver functions.  These drivers will be generated in your
 * XPS project when you run the "Generate Libraries" menu item
 * in XPS.
 *
 * Your XPS project directory is at:
 *    C:\xup_v2pro_dev_brd\edk_7_1_builds\xup_bsb_onewire
 */


// Located in: ppc405_0/include/xparameters.h
#include "xparameters.h"
#include "xutil.h"
#include "xbasic_types.h"

//====================================================

int main (void) {

unsigned int *pOnewire;
unsigned int serail_num;
Xuint16 serail_num16bit;

pOnewire  = (unsigned int *)XPAR_ONEWIRE_0_BASEADDR;

   print("-- Entering main() --\r\n");
   print("\r\nBoard Serial Number is = 0x");
   // get and print High 16 bits of 48 bit serial number    
   serail_num16bit = (Xuint16) *(pOnewire +1);
   xil_printf("%04x",serail_num16bit);
    // get and print lower 32 bits of 48 bit serial number
   serail_num = *pOnewire;
   xil_printf("%08x",serail_num);
   print("\r\n\r\n");

   print("-- Exiting main() --\r\n");
   return 0;
}

